## boinc 7.6.33+dfsg

=== debian/changelog ===
boinc (7.6.33+dfsg-12) unstable; urgency=medium

  [ Steffen Moeller ]
  * Added dependency on  lsb-base (>= 3.0-6) of boinc-client for the init
    script. Thanks to Lintian and the Package Tracker for spotting that.

  [ Gianfranco Costamagna ]
  * Update the previous boinc-issue-1177.patch with the upstream merged patch.
  * Remove boinc-client-fglrx: dead, depends on removed fglrx libraries.
    (Closes: #863699)

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 30 May 2017 11:39:31 +0200

boinc (7.6.33+dfsg-11exp1) experimental; urgency=medium

  * Upload to experimental again, with the boinc-server-* packages.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 04 Apr 2017 08:10:03 +0200

boinc (7.6.33+dfsg-11) unstable; urgency=medium

  * Upload to unstable
  * Disable pie removal (Closes: #859352)

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sun, 02 Apr 2017 20:36:27 +0200

boinc (7.6.33+dfsg-10exp1) experimental; urgency=medium

  * Upload to experimental again, with the boinc-server-* packages.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 15 Mar 2017 17:53:40 +0100

boinc (7.6.33+dfsg-10) unstable; urgency=medium

  * New upload changing the working dir during execve

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 15 Mar 2017 17:53:03 +0100

boinc (7.6.33+dfsg-9exp1) experimental; urgency=medium

  * Upload to experimental again, with the boinc-server-* packages.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 15 Mar 2017 17:26:14 +0100

boinc (7.6.33+dfsg-9) unstable; urgency=medium

  * Really fix the spawn of new shell (LP: #1115607)
  * Fix broken symlink for app-dev package (Closes: #857218)
    thanks Andreas Beckmann once again

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 15 Mar 2017 16:34:16 +0100

boinc (7.6.33+dfsg-8exp1) experimental; urgency=medium

  * Upload to experimental again, with the boinc-server-* packages.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 14 Mar 2017 16:16:34 +0100

boinc (7.6.33+dfsg-8) unstable; urgency=medium

  * Upload to unstable
  * Disable/Revert previous upload (reopens LP: #1115607)
    this works, but has some unintended side effects.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 14 Mar 2017 16:15:22 +0100

boinc (7.6.33+dfsg-7exp1) experimental; urgency=medium

  * Upload to experimental again, with the boinc-server-* packages. 

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 14 Mar 2017 12:24:19 +0100

boinc (7.6.33+dfsg-7) unstable; urgency=medium

  * Upload to unstable.
  * Fix spawn of new window (d/p/fix-new-process-spawn.patch).
    LP: #1115607

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 14 Mar 2017 12:20:02 +0100

boinc (7.6.33+dfsg-6exp1) experimental; urgency=medium

  * Upload to experimental again, with the boinc-server-* packages.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 16 Feb 2017 22:48:11 +0100

boinc (7.6.33+dfsg-6) unstable; urgency=medium

  * Upload to unstable.
  * Remove explicit libstdc++*-dev dependencies, lets go
    for build-essential (Closes: #855316)

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 16 Feb 2017 18:56:07 +0100

boinc (7.6.33+dfsg-5exp1) experimental; urgency=medium

  * Upload to experimental again, with the boinc-server-* packages.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 08 Nov 2016 19:36:59 +0100

boinc (7.6.33+dfsg-5) unstable; urgency=medium

  * Upload to unstable.

  [ Tom Downes ]
  * Fix OOM_ADJ handling with a backportable approach
    (Closes: #843663)

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 08 Nov 2016 19:34:14 +0100

boinc (7.6.33+dfsg-4exp1) experimental; urgency=medium

  * Upload to experimental again, with the boinc-server-* packages.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 25 Oct 2016 07:36:51 +0200

boinc (7.6.33+dfsg-4) unstable; urgency=medium

  * New upload, don't use compat 10, parallel is broken.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 25 Oct 2016 07:35:14 +0200

boinc (7.6.33+dfsg-3exp2) experimental; urgency=medium

  * Bump compat level to 10.
  * Drop some dependencies.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 24 Oct 2016 23:52:37 +0200

boinc (7.6.33+dfsg-3exp1) unstable; urgency=medium

  * Upload to experimental again, with the boinc-server-* packages.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 24 Oct 2016 23:33:57 +0200

boinc (7.6.33+dfsg-3) unstable; urgency=medium

  * Upload to unstable.
  * Switch to unversioned default-mysql again (needs changes
    while backporting)

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 24 Oct 2016 23:27:12 +0200

boinc (7.6.33+dfsg-2exp1) experimental; urgency=medium

  * Upload to experimental again, with the boinc-server-* packages.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 22 Oct 2016 12:51:53 +0200

boinc (7.6.33+dfsg-2) unstable; urgency=high

  [ Gianfranco Costamagna ]
  * Upload to unstable
  * Switch to unversioned php* packages.

  [ Mike Brennan <debian@u4ear.com> ]
  * Fix xhost syntax. (Closes: #841665)

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 05 Sep 2016 08:24:58 +0200

boinc (7.6.33+dfsg-1exp2) experimental; urgency=medium

  * upstream cherry-picks for new openssl 1.1 changes (Closes: #828250)
    - debian/patches/e965ea2e32d467e6937f206c96270cabd381df6e.patch:
    - debian/patches/1ec4be73d83d6041e4097b547a3fca297dd828db.patch:
    - debian/patches/056f788ea3a9ba1b45e17bcacea91a38c1ed8d73.patch:
    - debian/patches/7c2cb62aa3a119818e9ceab0d6358f4c910fb337.patch:

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 19 Jul 2016 11:31:07 +0200

boinc (7.6.33+dfsg-1exp1) experimental; urgency=medium

  * Upload to experimental again, with the boinc-server-* packages.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 08 Jun 2016 23:40:37 +0200



=== debian/control ===
Source: boinc
Section: net
Priority: optional
Maintainer: Debian BOINC Maintainers <pkg-boinc-devel@lists.alioth.debian.org>
Uploaders: Steffen Moeller <moeller@debian.org>,
           Guo Yixuan (郭溢譞) <culu.gyx@gmail.com>,
           Gianfranco Costamagna <locutusofborg@debian.org>
Standards-Version: 3.9.8
Build-Depends: debhelper (>= 9.20160114),
               default-libmysqlclient-dev,
               dh-autoreconf,
               dh-python,
               dh-systemd,
               docbook-xml,
               docbook2x,
               dpkg-dev (>= 1.16.1.1),
               freeglut3-dev,
               gettext,
               libcurl4-openssl-dev,
               libfcgi-dev,
               libgtk2.0-dev,
               libice-dev,
               libjpeg-dev,
               libnotify-dev (>= 0.7.0),
               libsm-dev,
               libsqlite3-dev,
               libssl-dev,
               libtool,
               libwxgtk-webview3.0-dev,
               libwxgtk3.0-dev,
               libxcb-util0-dev,
               libxi-dev,
               libxml2-utils,
               libxmu-dev,
               libxss-dev,
               pkg-config,
               po-debconf,
               python-all,
               python-setuptools,
               zlib1g-dev
Homepage: https://boinc.berkeley.edu/
Vcs-Git: https://anonscm.debian.org/git/pkg-boinc/boinc.git
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-boinc/boinc.git

Package: boinc
Architecture: all
Depends: boinc-client (>= ${source:Version}),
         boinc-manager (>= ${source:Version}),
         ${misc:Depends}
Description: metapackage for the BOINC client and the manager
 The Berkeley Open Infrastructure for Network Computing (BOINC) is a
 software platform for distributed computing: several initiatives of
 various scientific disciplines all compete for the idle time of
 desktop computers. The developers' web site at the University of
 Berkeley serves as a common portal to the otherwise independently run
 projects.
 .
 This package depends both on the BOINC core client program that is
 required to participate in any project that uses BOINC, and the
 BOINC Manager, a graphical monitor and control utility for the
 BOINC core client.

Package: boinc-client-nvidia-cuda
Architecture: amd64 i386 armhf
Section: contrib/net
Priority: extra
Breaks: boinc-nvidia-cuda
Replaces: boinc-nvidia-cuda
Depends: ${misc:Depends}, boinc-client, libcuda1 | libcuda1-any | libcuda-7.5-1 | libcuda-7.0-1 | libcuda-6.5-1 | libcuda-6.0-1 | libcuda-5.5-1 | libcuda-5.0-1
Description: metapackage for CUDA-savvy BOINC client and manager
 The Berkeley Open Infrastructure for Network Computing (BOINC) is a
 software platform for distributed computing: several initiatives of
 various scientific disciplines all compete for the idle time of
 desktop computers. The developers' web site at the University of
 Berkeley serves as a common portal to the otherwise independently run
 projects.
 .
 Regular users (righteously) often find it an unbearable nuisance to
 care for the exact configuration of BOINC for CUDA-savvy graphics
 cards. This package adds a series of dependencies from the non-free
 section to the regular boinc package. This also meant this binary
 package to be redistributed in the contrib section of Debian.

Package: boinc-client-opencl
Architecture: any
Section: contrib/net
Priority: extra
Breaks: boinc-amd-opencl
Replaces: boinc-amd-opencl
Depends: ${misc:Depends}, ocl-icd-libopencl1 | libopencl-1.1-1
Recommends: amd-opencl-icd | opencl-icd
Description: metapackage for AMD/ATI OpenCL-savvy BOINC client and manager
 The Berkeley Open Infrastructure for Network Computing (BOINC) is a
 software platform for distributed computing: several initiatives of
 various scientific disciplines all compete for the idle time of
 desktop computers. The developers' web site at the University of
 Berkeley serves as a common portal to the otherwise independently run
 projects.
 .
 Regular users (righteously) often find it an unbearable nuisance to
 care for the configuration of BOINC for the OpenCL-savvy AMD/ATI
 graphics cards.  This package adds a series of dependencies from the
 non-free section to the regular boinc package. This also meant this
 binary package to be redistributed in the contrib section of Debian.

Package: boinc-client
Architecture: any
Depends: adduser,
         ca-certificates,
         lsb-base (>= 3.0-6),
         libboinc7 (= ${binary:Version}),
         ${misc:Depends},
         ${python:Depends},
         ${shlibs:Depends}
Suggests: boinc-client-opencl, boinc-client-nvidia-cuda, boinc-manager, x11-xserver-utils
Description: core client for the BOINC distributed computing infrastructure
 The Berkeley Open Infrastructure for Network Computing (BOINC) is a
 software platform for distributed computing: several initiatives of
 various scientific disciplines all compete for the idle time of
 desktop computers. The developers' web site at the University of
 Berkeley serves as a common portal to the otherwise independently run
 projects.
 .
 This package contains the BOINC core client program that is required
 to participate in any project that uses BOINC. A central server
 distributes work units and collects results via this client. When
 attaching a local machine to a project, this client will also
 dynamically download the scientific data and executables to be then
 wrapped by the BOINC core client.

Package: boinc-screensaver
Section: x11
Architecture: any
Depends: boinc-client, ${misc:Depends}, ${shlibs:Depends}
Suggests: boinc-manager
Description: screen saver auto-controlling volunteer computing
 The Berkeley Open Infrastructure for Network Computing (BOINC) is a
 software platform for distributed computing: several initiatives of
 various scientific disciplines all compete for the idle time of
 desktop computers. The developers' web site at the University of
 Berkeley serves as a common portal to the otherwise independently run
 projects.
 .
 The BOINC client is configurable by the command line or the BOINC
 manager's GUI to compute with any range between 0% and 100% of
 available resources, and to change that ratio to a higher after
 some user determined duration of inactivity. There is now quite
 a number of individuals who prefer to have everything presented
 with their accustomed principle for setting and choosing a screen
 saver. Upon inactivity, the BOINC client is started, and stopped
 again when the user is back. To save the screen, it then shows
 the graphical progress indication as optionally shown also by
 the manager.
 .
 This package is excellent to further promote BOINC, recalling the
 effect SETI@Home once had in the Cambridge, UK, CB2 Cybercafe.
 Just, when using it together with the regular BOINC client setup,
 it is suggested not to have all CPUs used to avoid multiple
 processes running on the same core.

Package: boinc-manager
Section: x11
Architecture: any
Depends: boinc-client, ${misc:Depends}, ${shlibs:Depends}
Suggests: libgl1-mesa-glx, libxt6
Description: GUI to control and monitor the BOINC core client
 The Berkeley Open Infrastructure for Network Computing (BOINC) is a
 software platform for distributed computing using volunteered computer
 resources.
 .
 This package contains the BOINC Manager, a graphical monitor and
 control utility for the BOINC core client. It gives a detailed
 overview of the state of the client it is monitoring, as there are
  * attached projects
  * running tasks
  * file transfers between the client and project servers
  * statistics about granted credits and disk usage for every project
  * constraints on CPU usage
 The BOINC Manager has two modes of operation, the "Simple View" in which
 it only displays the most important information and the "Advanced View"
 in which all information and all control elements are available.
 .
 For active participation in any BOINC project the recommended
 boinc-client package, not the boinc-manager, is required for every
 machine contributing.

Package: boinc-dev
Section: oldlibs
Architecture: any
Priority: extra
Depends: libboinc-app-dev (= ${binary:Version}), ${misc:Depends}
Description: development files to build applications for BOINC projects (transitional)
 Dummy transitional package helping the transition of a split of
 architecture-independent development files and the architecture-dependent
 dynamic libraries.  Static libraries are no longer redistributed.

Package: libboinc-app-dev
Section: libdevel
Architecture: any
Depends: libboinc-app7 (= ${binary:Version}),
         libboinc7 (= ${binary:Version}),
         libc6-dev | libc-dev,
         default-libmysqlclient-dev,
         libssl-dev,
         build-essential,
         ${misc:Depends}
Breaks: boinc-dev (<< 7.0.28+dfsg-3)
Replaces: boinc-dev (<< 7.0.28+dfsg-3)
Description: development files to build applications for BOINC projects
 The Berkeley Open Infrastructure for Network Computing (BOINC) is a
 software platform for distributed computing using volunteered computer
 resources.
 .
 This package contains header files that are needed to develop and
 compile applications which utilizes the BOINC infrastructure.

Package: libboinc-app7
Provides: libboinc-app
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Breaks: boinc-dev (<< 7.0.28+dfsg-3), libboinc-app (<= 7.0.34+dfsg-1)
Replaces: boinc-dev (<< 7.0.28+dfsg-3), libboinc-app (<= 7.0.34+dfsg-1)
Section: libs
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: libraries for BOINC's scientific applications
 The Berkeley Open Infrastructure for Network Computing (BOINC) is a
 software platform for distributed computing using volunteered computer
 resources.
 .
 This package contains dynamic libraries that are needed for applications
 which utilizes the BOINC infrastructure and the boinc-client itself.

Package: libboinc7
Provides: libboinc
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Breaks: boinc-dev (<< 7.0.28+dfsg-3), libboinc (<= 7.0.34+dfsg-1)
Replaces: boinc-dev (<< 7.0.28+dfsg-3), libboinc (<= 7.0.34+dfsg-1)
Architecture: any
Section: libs
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: libraries of BOINC the client depends on
 The Berkeley Open Infrastructure for Network Computing (BOINC) is a
 software platform for distributed computing using volunteered computer
 resources.
 .
 The environment offers a series of libraries that both the user-run
 client and the client-invoked scientific applications depend on. With
 the number of cores per machine growing, and with scientific apps
 commonly started for every core, it is essential to have memory
 shared as much as possible between binaries of all projects.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# Uncomment the following lines to compile with gcc-snapshot.
#export  CC=/usr/lib/gcc-snapshot/bin/gcc
#export CXX=/usr/lib/gcc-snapshot/bin/g++
#export CPP=/usr/lib/gcc-snapshot/bin/cpp

export CPPFLAGS := $(shell dpkg-buildflags --get CPPFLAGS)
export CFLAGS   := $(shell dpkg-buildflags --get CFLAGS)
export CXXFLAGS := $(shell dpkg-buildflags --get CXXFLAGS)
export LDFLAGS  := $(shell dpkg-buildflags --get LDFLAGS)

#export CXX=clang++
export AR=ar
export RANLIB=ranlib

DEB_HOST_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)

# Set default flags with dpkg-buildflags
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

ifeq ($(DEB_BUILD_GNU_TYPE), $(DEB_HOST_GNU_TYPE))
  TYPE_FLAGS = --build $(DEB_HOST_GNU_TYPE)
else
  TYPE_FLAGS = --build $(DEB_BUILD_GNU_TYPE) --host $(DEB_HOST_GNU_TYPE)
endif

# On some architectures it is required to change the BOINC platform of the
# core client (with the --with-boinc-platform configure option) to match the
# official BOINC platform, otherwise it would not download any applications,
# because projects mostly provide applications for official BOINC platforms
# only. See https://boinc.berkeley.edu/trac/wiki/BoincPlatforms for the list
# of official BOINC platforms.
#
# The table of architectures known to dpkg-architecture are listed on
#  /usr/share/dpkg/archtable

# Change BOINC platform alpha-unknown-linux-gnu to alpha-hp-linux-gnu and
# declare alpha-unknown-linux-gnu as alternate platform, because some projects
# offer applications for it.
ifeq ($(DEB_HOST_GNU_TYPE), alpha-linux-gnu)
  TYPE_FLAGS += --with-boinc-platform=alpha-hp-linux-gnu \
    --with-boinc-alt-platform=alpha-unknown-linux-gnu
endif

# Change BOINC platform i486-pc-linux-gnu to i686-pc-linux-gnu.
ifeq ($(DEB_HOST_GNU_TYPE), i486-linux-gnu)
  TYPE_FLAGS += --with-boinc-platform=i686-pc-linux-gnu
endif

# Change BOINC platform x86_64-linux-gnu to x86_64-pc-linux-gnu.
# Keeping the previous name temporarily.
# The 32bit variants shall allow the execution of 32 bit 
# executable in case the scientific application is no available
# for the complete bit size.
ifeq ($(DEB_HOST_GNU_TYPE), x86_64-linux-gnu)
  TYPE_FLAGS += --with-boinc-platform=x86_64-pc-linux-gnu
  # wrong previous name (since regular Debian name)
  TYPE_FLAGS += --with-boinc-alt-platform=x86_64-linux-gnu
  # if we did the following, the the ia32 libs would
  # need to become a dependency - which is not wanted by too many
  #TYPE_FLAGS += --with-boinc-alt-platform=i686-pc-linux-gnu
endif

# Change BOINC platform i486-pc-kfreebsd-gnu to i686-pc-kfreebsd-gnu to be
# consistent with the official BOINC platform i686-pc-linux-gnu.
ifeq ($(DEB_HOST_GNU_TYPE), i486-kfreebsd-gnu)
  TYPE_FLAGS += --with-boinc-platform=i686-pc-kfreebsd-gnu
endif

# Declare i686-pc-kfreebsd-gnu as alternate platform for
# x86_64-pc-kfreebsd-gnu.
ifeq ($(DEB_HOST_GNU_TYPE), x86_64-kfreebsd-gnu)
  TYPE_FLAGS += --with-boinc-platform=x86_64-pc-kfreebsd-gnu
  TYPE_FLAGS += --with-boinc-alt-platform=i686-pc-kfreebsd-gnu
endif

# Change BOINC platform ia64-unknown-linux-gnu to ia64-linux-gnu.
ifeq ($(DEB_HOST_GNU_TYPE), ia64-linux-gnu)
  TYPE_FLAGS += --with-boinc-platform=ia64-linux-gnu
endif

# Change BOINC platform powerpc-unknown-linux-gnu to powerpc-linux-gnu.
ifeq ($(DEB_HOST_GNU_TYPE), powerpc-linux-gnu)
  TYPE_FLAGS += --with-boinc-platform=powerpc-linux-gnu
endif

# Change BOINC platform powerpc64-unknown-linux-gnu to ppc64-linux-gnu and
# declare powerpc-linux-gnu as alternate platform.
ifeq ($(DEB_HOST_GNU_TYPE), powerpc64-linux-gnu)
  TYPE_FLAGS += --with-boinc-platform=ppc64-linux-gnu \
    --with-boinc-alt-platform=powerpc-linux-gnu
endif

# Change BOINC platform sparc-unknown-linux-gnu to sparc-sun-linux-gnu.
ifeq ($(DEB_HOST_GNU_TYPE), sparc-linux-gnu)
  TYPE_FLAGS += --with-boinc-platform=sparc-sun-linux-gnu
endif

# Not touching BOINC platform for hurd for the very moment.
# Manually specify the MAXPATHLEN for GNU where this limit
# is not existing.
ifeq ($(DEB_HOST_GNU_TYPE), i486-gnu)
  # setting it to the regular limit for the other flavours of Debian
  CFLAGS += -DMAXPATHLEN=4096
  #TYPE_FLAGS += --with-boinc-platform=i686-pc-hurd-gnu
endif

ifneq (,$(findstring clang,$(DEB_BUILD_OPTIONS)))
  export CXX=clang
endif

CFLAGS += -Wall
CXXFLAGS += -Wall
LDFLAGS += -Wl,--as-needed

ifeq (,$(DEB_OPT_FLAGS))
   DEB_OPT_FLAGS = -O3 -funroll-loops -fforce-addr -ffast-math
   $(info W: No default DEB_OPT_FLAGS set, adding $(DEB_OPT_FLAGS))
endif

CFLAGS += $(DEB_OPT_FLAGS)
CXXFLAGS += $(DEB_OPT_FLAGS)

CFLAGS_boinc-client := $(CFLAGS)
CXXFLAGS_boinc-client := $(CXXFLAGS)

CCorig := $(CC)
CXXorig := $(CXX)

# Link-time optimisation demands knowledge about all CFLAGS both at
# compile time (as represented by CFLAGS and CXXFLAGS) but also at
# at link time.
ifeq (,$(findstring nolto,$(DEB_BUILD_OPTIONS)))
 $(info I: Activating LinkTimeOptimisation)
 CFLAGS += -flto
 CXXFLAGS += -flto
 LDFLAGS += -flto
 CXX := $(CXX) $(CXXFLAGS)
 CC := $(CC) $(CFLAGS)
 AR := gcc-ar
 RANLIB := gcc-ranlib
endif

#copy the original control.in file
$(shell cp debian/control.in debian/control)
$(shell sed '/^#/d' -i debian/control)

export ENABLE_SERVER_TEST := $(shell dpkg-parsechangelog | egrep '^Distribution:' |egrep -v 'experimental|UNRELEASED')

ifeq (,$(ENABLE_SERVER_TEST))
$(shell sed 's/^%//' -i debian/control)
else
$(shell sed '/^%/d' -i debian/control)
endif

ifeq (,$(ENABLE_SERVER_TEST))
$(info I: Building both the server and the client packages)
ENABLE_SERVER := --enable-server
else
$(info I: Building regular client packages only)
#ENABLE_SERVER := --disable-server
endif

#ENABLE_CLIENT_TEST := $(shell egrep '^Package:.*boinc$$' debian/control debian/control.in)
#ifneq (,$(ENABLE_CLIENT_TEST))
ENABLE_CLIENT := --enable-client --enable-manager --enable-dynamic-client-linkage
$(shell sed 's/^@//' -i debian/control)
#else
#ENABLE_CLIENT := --disable-client --disable-manager
#$(shell sed '/^@/d' -i debian/control)
#endif

# --disable-static
# For debugging, these options are useful:
#   --enable-debug
#   --enable-wx-debug (need to install libwxbase3.0-0-dbg and libwxgtk3.0-0-dbg)
#
CFGFLAGS_boinc-client = \
  $(TYPE_FLAGS) \
  --prefix=/usr \
  $(ENABLE_CLIENT) \
  $(ENABLE_SERVER) \
  --disable-fcgi \
  --enable-libraries \
  --enable-unicode \
  --enable-shared \
  --enable-dynamic-client-linkage \
  --with-ssl \
  --with-x \
  CFLAGS="$(CFLAGS_boinc-client)"

%:
	dh $@ --with python2,systemd,autoreconf # --parallel

override_dh_autoreconf-indep:

override_dh_clean:
	dh_clean
	rm -rf config.log
	rm -rf clientscr/.libs
	rm -rf debian/boinc-app-examples   debian/boinc-app-examples.substvars
	rm -rf debian/boinc-server-maker   debian/boinc-server-maker.substvars
	rm -rf debian/boinc-cgi-stripchart debian/boinc-cgi-stripchart.substvars
	rm -rf debian/boinc-dbg            debian/boinc-dbg.substvars
	rm -rf debian/boinc-server-dbg     debian/boinc-server-dbg.substvars
	rm -rf debian/*.debhelper
	rm -rf debian/tmp autoreconf-stamp build-*-stamp install-*-stamp
	rm -fr debian/boinc-amd-opencl debian/boinc-screensaver # for cases when this is not in debian/control
	rm -f debian/boinc-screensaver.substvars debian/boinc-amd-opencl.substvars # dito
	rm -f debian/boinc-cgi-stripchart.substvars
	# sudden differences yet remaining to be resolved
	rm -f api/libboinc_graphics2.la
	rm -f test-driver
	rm -f sched/adjust_user_priority sched/size_regulator
	rm -f config.status libtool version.h stamp-h1
	find . -name ".libs" | xargs -r rm -r
	find zip -name "*.lo" -delete

# Commands not to execute - empty overrides
override_dh_auto_test:

#test-stamp:
#	dh_testdir
#	xmllint --nonet --noout \
#	  debian/conffiles/cc_config.xml \
#	  debian/conffiles/global_prefs_override.xml
#	touch $@
LDFLAGS+=$(CFLAGS)

override_dh_auto_configure-indep:

override_dh_auto_configure-arch:

## boinc 7.8.3+dfsg

=== debian/changelog ===
boinc (7.8.3+dfsg-1) unstable; urgency=medium

  * Upload to unstable.
  * New upstream version 7.8.3+dfsg
  * Upgrade std-version to 4.1.1
  * patch refresh

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 05 Oct 2017 11:17:06 +0200

boinc (7.8.2+dfsg-4exp1) experimental; urgency=medium

  * Upload to experimental again, with the boinc-server-* packages.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 28 Sep 2017 09:02:08 +0200

boinc (7.8.2+dfsg-4) unstable; urgency=medium

  * Upload to unstable
  * Ack NMU from Olly Betts, with a *great* thanks
  * Fix build failure for hurd

  [ Olly Betts ]
  * Switch to use wxHtmlWindow instead of wxWebView (Closes: #876940).

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 28 Sep 2017 08:52:47 +0200

boinc (7.8.2+dfsg-3exp1) experimental; urgency=medium

  * Upload to experimental again, with the boinc-server-* packages.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 07 Sep 2017 09:41:28 +0200

boinc (7.8.2+dfsg-3) unstable; urgency=medium

  * Upload to unstable
  * Upgrade std-version to 4.1.0, remove priority extra.
  * Fix build with new glibc.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 06 Sep 2017 08:26:32 +0200

boinc (7.8.2+dfsg-2exp1) experimental; urgency=medium

  * Upload to experimental again, with the boinc-server-* packages.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sun, 03 Sep 2017 07:54:42 +0200

boinc (7.8.2+dfsg-2) unstable; urgency=medium

  * Upload to unstable.
  * Tweak underlinking patch, to avoid having to pull mariadb library
    (libsched is used only by server, and it does directly link mariadb
     directly) Closes: #873092

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 02 Sep 2017 23:20:11 +0200

boinc (7.8.2+dfsg-1exp1) experimental; urgency=medium

  * Upload to experimental

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 31 Aug 2017 18:38:37 +0200

boinc (7.8.2+dfsg-1) unstable; urgency=medium

  [ AgentB ]
  * recursively chown of boinc directory on boinc postinst script,
    to avoid issues when users change the directory path.

  [ Gianfranco Costamagna ]
  * New upstream release
  * Upload to unstable

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 22 Aug 2017 15:54:37 +0200

boinc (7.8.1+dfsg-1exp1) experimental; urgency=medium

  * Upload to experimental again, with the boinc-server-* packages.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 14 Aug 2017 10:40:44 +0200

boinc (7.8.1+dfsg-1) unstable; urgency=low

  * New upstream major release, patch refresh.
  * Update copyright file
  * Tweak server package to use system fonts
  * Drop patches addressed upstream.
  * Upload to unstable.
  * Bump std-version to 4.0.0

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 20 Jun 2017 14:51:07 +0200

boinc (7.6.33+dfsg-12exp1) experimental; urgency=medium

  * Upload to experimental again, with the boinc-server-* packages.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 30 May 2017 11:39:59 +0200

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Uploaders: Steffen Moeller <moeller@debian.org>,
            Guo Yixuan (郭溢譞) <culu.gyx@gmail.com>,
            Gianfranco Costamagna <locutusofborg@debian.org>
-Standards-Version: 3.9.8
+Standards-Version: 4.1.1
 Build-Depends: debhelper (>= 9.20160114),
                default-libmysqlclient-dev,
                dh-autoreconf,
@@ -26,7 +26,6 @@
                libsqlite3-dev,
                libssl-dev,
                libtool,
-               libwxgtk-webview3.0-dev,
                libwxgtk3.0-dev,
                libxcb-util0-dev,
                libxi-dev,
@@ -63,7 +62,7 @@
 Package: boinc-client-nvidia-cuda
 Architecture: amd64 i386 armhf
 Section: contrib/net
-Priority: extra
+Priority: optional
 Breaks: boinc-nvidia-cuda
 Replaces: boinc-nvidia-cuda
 Depends: ${misc:Depends}, boinc-client, libcuda1 | libcuda1-any | libcuda-7.5-1 | libcuda-7.0-1 | libcuda-6.5-1 | libcuda-6.0-1 | libcuda-5.5-1 | libcuda-5.0-1
@@ -84,7 +83,7 @@
 Package: boinc-client-opencl
 Architecture: any
 Section: contrib/net
-Priority: extra
+Priority: optional
 Breaks: boinc-amd-opencl
 Replaces: boinc-amd-opencl
 Depends: ${misc:Depends}, ocl-icd-libopencl1 | libopencl-1.1-1
@@ -187,7 +186,7 @@
 Package: boinc-dev
 Section: oldlibs
 Architecture: any
-Priority: extra
+Priority: optional
 Depends: libboinc-app-dev (= ${binary:Version}), ${misc:Depends}
 Description: development files to build applications for BOINC projects (transitional)
  Dummy transitional package helping the transition of a split of

## boinc 7.8.4+dfsg

=== debian/changelog ===
boinc (7.8.4+dfsg-1~bpo8+1) jessie-backports-sloppy; urgency=medium

  * Rebuild for jessie-backports-sloppy.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 06 Dec 2017 19:29:19 +0100

boinc (7.8.4+dfsg-1) unstable; urgency=medium

  * New upstream version 7.8.4+dfsg
  * Upload to unstable

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 14 Nov 2017 09:34:57 +0100

boinc (7.8.3+dfsg-2exp1) experimental; urgency=medium

  * Upload to experimental again, with the boinc-server-* packages.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 21 Oct 2017 14:31:21 +0200

boinc (7.8.3+dfsg-2) unstable; urgency=medium

  * Upload to unstable.
  * Add new boinc-virtualbox package, helping with virtualbox-based workunits.
    - Thanks Laurence for the suggestions, and help in testing.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 21 Oct 2017 14:29:19 +0200

boinc (7.8.3+dfsg-1exp1) experimental; urgency=medium

  * Upload to experimental again, with the boinc-server-* packages.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 05 Oct 2017 11:22:44 +0200

=== debian/control ===
--- 
+++ 
@@ -59,6 +59,26 @@
  BOINC Manager, a graphical monitor and control utility for the
  BOINC core client.
 
+Package: boinc-virtualbox
+Architecture: amd64 i386
+Section: contrib/misc
+Priority: optional
+Depends: ${misc:Depends}, boinc-client, virtualbox | virtualbox-5.0 | virtualbox-5.1 | virtualbox-5.2
+Recommends: virtualbox-ext-pack
+Description: metapackage for virtualbox-savvy projects
+ The Berkeley Open Infrastructure for Network Computing (BOINC) is a
+ software platform for distributed computing: several initiatives of
+ various scientific disciplines all compete for the idle time of
+ desktop computers. The developers' web site at the University of
+ Berkeley serves as a common portal to the otherwise independently run
+ projects.
+ .
+ Regular users (righteously) often find it an unbearable nuisance to
+ care for the exact configuration of BOINC for virtualbox-based projects.
+ This package adds a series of dependencies from the contrib
+ section to the regular boinc package. This also meant this binary
+ package to be redistributed in the contrib section of Debian.
+
 Package: boinc-client-nvidia-cuda
 Architecture: amd64 i386 armhf
 Section: contrib/net

## boinc 7.9.3%2Bdfsg

=== debian/changelog ===
boinc (7.9.3+dfsg-5ubuntu2) bionic; urgency=medium

  * Use /var/lib/boinc as homedir, to avoid polluting user home directories.
    LP: #1772602

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 22 May 2018 18:33:29 +0200

boinc (7.9.3+dfsg-5ubuntu1) bionic; urgency=medium

  * Re-add update-boinc-applinks, switched to python3
    This is useful for boinc-app-seti and other reverse-deps (LP: #1767866)

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 01 May 2018 23:07:30 +0200

boinc (7.9.3+dfsg-5) unstable; urgency=medium

  * Upload to unstable
  * Drop update-boinc-applinks, useless now?
    - lets re-evaluate the situation in case somebody complains (LP: #1765576)

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 20 Apr 2018 11:55:23 +0200

boinc (7.9.3+dfsg-4exp1) experimental; urgency=medium

  * Upload to experimental again, with the boinc-server-* packages.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 11 Apr 2018 19:04:38 +0200

boinc (7.9.3+dfsg-4) unstable; urgency=medium

  * Upload to unstable
  * Revert "add boinc to input group, to help idle detection"
    - thanks Juha Sointusalo for reminding me that a security bug in boinc
      might end up in a keylogger on a user system, and we don't want this
      possible attack vector in our systems.
      Idle detection is broken (see #2463)

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 11 Apr 2018 19:01:33 +0200

boinc (7.9.3+dfsg-3exp1) experimental; urgency=medium

  * Upload to experimental again, with the boinc-server-* packages.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 29 Mar 2018 18:28:18 +0200

boinc (7.9.3+dfsg-3) unstable; urgency=medium

  * Upload to unstable
  * Disable Pre-release message
  * Disable update check

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 29 Mar 2018 18:26:35 +0200

boinc (7.9.3+dfsg-2exp1) experimental; urgency=medium

  * Upload to experimental again, with the boinc-server-* packages.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 28 Mar 2018 18:59:32 +0200

boinc (7.9.3+dfsg-2) unstable; urgency=medium

  [ Olly Betts, Scott Talbert ]
  * Re-enable webview!!! (Closes: #894263),
    Fully switch to gtk3

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 28 Mar 2018 08:47:57 +0200

boinc (7.9.3+dfsg-1exp1) experimental; urgency=medium

  * Upload to experimental again, with the boinc-server-* packages.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 10 Mar 2018 23:09:43 +0100

boinc (7.9.3+dfsg-1) unstable; urgency=medium

  * Upload to unstable
  * New upstream version 7.9.3+dfsg
  * Bump copyright years to 2018

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 10 Mar 2018 23:08:17 +0100

boinc (7.9.2+dfsg-1exp1) experimental; urgency=medium

  * Upload to experimental again, with the boinc-server-* packages.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 17 Feb 2018 14:27:31 +0100

boinc (7.9.2+dfsg-1) unstable; urgency=medium

  * Upload to unstable
  * New upstream release 7.9.2+dfsg

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 17 Feb 2018 14:25:54 +0100

boinc (7.9.1+dfsg-1exp1) experimental; urgency=medium

  * Upload to experimental again, with the boinc-server-* packages.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 14 Feb 2018 14:57:32 +0100

boinc (7.9.1+dfsg-1) unstable; urgency=medium

  * New upstream version 7.9.1+dfsg
  * Drop useless mkdir, automatic
  * Update watch file
  * explicit disable webview
  * Upload to unstable
  * Drop patches upstream, patch refresh

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 14 Feb 2018 14:54:59 +0100

boinc (7.8.6+dfsg-3exp1) experimental; urgency=medium

  * Upload to experimental again, with the boinc-server-* packages.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 07 Feb 2018 12:38:16 +0100

boinc (7.8.6+dfsg-3) unstable; urgency=medium

  * Update 2260.patch with the version accepted from upstream.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 07 Feb 2018 12:36:59 +0100

boinc (7.8.6+dfsg-2exp1) experimental; urgency=medium

  * Upload to experimental again, with the boinc-server-* packages.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 31 Jan 2018 10:34:11 +0100

boinc (7.8.6+dfsg-2) unstable; urgency=medium

  * Update the 2260.patch to hopefully remove
    the +x bit on the service file (Closes: #888902)

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 31 Jan 2018 10:20:38 +0100

boinc (7.8.6+dfsg-1exp1) experimental; urgency=medium

  * Upload to experimental again, with the boinc-server-* packages.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 15 Jan 2018 16:47:52 +0100

boinc (7.8.6+dfsg-1) unstable; urgency=medium

  * Upload to unstable
  * New upstream version 7.8.6+dfsg
  * Patch refresh
  * Bump std-version to 4.1.3, no changes required.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 15 Jan 2018 16:46:19 +0100

boinc (7.8.4+dfsg-2exp1) experimental; urgency=medium

  * Upload to experimental again, with the boinc-server-* packages.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 11 Jan 2018 14:24:08 +0100

boinc (7.8.4+dfsg-2) unstable; urgency=medium

  * debian/patches/2260.patch:
    - new service file
  * Add boinc to input group, to help idle detection

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 06 Dec 2017 16:43:33 +0100

boinc (7.8.4+dfsg-1exp1) experimental; urgency=medium

  * Upload to experimental again, with the boinc-server-* packages.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 14 Nov 2017 09:36:02 +0100

## boinc 7.9.3+dfsg

=== samples/condor/Makefile ===
all: boinc_gahp

clean:
	rm -f boinc_gahp

distclean: clean

distclean-recursive: clean

boinc_gahp: boinc_gahp.cpp ../../lib/remote_submit.h ../../lib/remote_submit.cpp ../../svn_version.h
	g++ -g -O0 -I../../lib -I../.. \
	-o boinc_gahp boinc_gahp.cpp ../../lib/remote_submit.cpp \
	-L../../lib -lboinc -lpthread -lcurl

test: test.cpp ../../lib/remote_submit.cpp ../../lib/remote_submit.h
	g++ -g -o test -I../../lib \
	test.cpp ../../lib/remote_submit.cpp \
	-L../../lib -lboinc -lcurl

=== samples/worker/Makefile ===
CXXFLAGS += -g

PROGS = worker

all: $(PROGS)

clean: distclean

distclean:
	rm -f $(PROGS) *.o

worker: worker.o
	g++ $(CXXFLAGS) $(CPPFLAGS) $(LDFLAGS) -o worker worker.o

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Uploaders: Steffen Moeller <moeller@debian.org>,
            Guo Yixuan (郭溢譞) <culu.gyx@gmail.com>,
            Gianfranco Costamagna <locutusofborg@debian.org>
-Standards-Version: 4.1.1
+Standards-Version: 4.1.3
 Build-Depends: debhelper (>= 9.20160114),
                default-libmysqlclient-dev,
                dh-autoreconf,
@@ -18,7 +18,7 @@
                gettext,
                libcurl4-openssl-dev,
                libfcgi-dev,
-               libgtk2.0-dev,
+               libgtk-3-dev,
                libice-dev,
                libjpeg-dev,
                libnotify-dev (>= 0.7.0),
@@ -26,7 +26,7 @@
                libsqlite3-dev,
                libssl-dev,
                libtool,
-               libwxgtk3.0-dev,
+               libwxgtk-webview3.0-gtk3-dev (>= 3.0.4+dfsg-3~),
                libxcb-util0-dev,
                libxi-dev,
                libxml2-utils,
@@ -35,6 +35,7 @@
                pkg-config,
                po-debconf,
                python-all,
+               python3-all,
                python-setuptools,
                zlib1g-dev
 Homepage: https://boinc.berkeley.edu/
@@ -62,7 +63,6 @@
 Package: boinc-virtualbox
 Architecture: amd64 i386
 Section: contrib/misc
-Priority: optional
 Depends: ${misc:Depends}, boinc-client, virtualbox | virtualbox-5.0 | virtualbox-5.1 | virtualbox-5.2
 Recommends: virtualbox-ext-pack
 Description: metapackage for virtualbox-savvy projects
@@ -82,7 +82,6 @@
 Package: boinc-client-nvidia-cuda
 Architecture: amd64 i386 armhf
 Section: contrib/net
-Priority: optional
 Breaks: boinc-nvidia-cuda
 Replaces: boinc-nvidia-cuda
 Depends: ${misc:Depends}, boinc-client, libcuda1 | libcuda1-any | libcuda-7.5-1 | libcuda-7.0-1 | libcuda-6.5-1 | libcuda-6.0-1 | libcuda-5.5-1 | libcuda-5.0-1
@@ -103,7 +102,6 @@
 Package: boinc-client-opencl
 Architecture: any
 Section: contrib/net
-Priority: optional
 Breaks: boinc-amd-opencl
 Replaces: boinc-amd-opencl
 Depends: ${misc:Depends}, ocl-icd-libopencl1 | libopencl-1.1-1
@@ -130,6 +128,7 @@
          libboinc7 (= ${binary:Version}),
          ${misc:Depends},
          ${python:Depends},
+         ${python3:Depends},
          ${shlibs:Depends}
 Suggests: boinc-client-opencl, boinc-client-nvidia-cuda, boinc-manager, x11-xserver-utils
 Description: core client for the BOINC distributed computing infrastructure
@@ -206,7 +205,6 @@
 Package: boinc-dev
 Section: oldlibs
 Architecture: any
-Priority: optional
 Depends: libboinc-app-dev (= ${binary:Version}), ${misc:Depends}
 Description: development files to build applications for BOINC projects (transitional)
  Dummy transitional package helping the transition of a split of

=== debian/rules ===
--- 
+++ 
@@ -183,6 +183,8 @@
 CFGFLAGS_boinc-client = \
   $(TYPE_FLAGS) \
   --prefix=/usr \
+  --bindir=/usr/bin \
+  --localstatedir=/var/lib \
   $(ENABLE_CLIENT) \
   $(ENABLE_SERVER) \
   --disable-fcgi \
@@ -190,12 +192,13 @@
   --enable-unicode \
   --enable-shared \
   --enable-dynamic-client-linkage \
+  --disable-webview \
   --with-ssl \
   --with-x \
   CFLAGS="$(CFLAGS_boinc-client)"
 
 %:
-	dh $@ --with python2,systemd,autoreconf # --parallel
+	dh $@ --with python2,python3,systemd,autoreconf # --parallel
 
 override_dh_autoreconf-indep:
 
@@ -230,8 +233,3 @@
 #	  debian/conffiles/cc_config.xml \
 #	  debian/conffiles/global_prefs_override.xml
 #	touch $@
-LDFLAGS+=$(CFLAGS)
-
-override_dh_auto_configure-indep:
-
-override_dh_auto_configure-arch:

=== debian/watch ===
version=4
opts=dversionmangle=s/\+dfsg$//,repacksuffix=+dfsg \
https://github.com/BOINC/boinc/tags .*/client_release/\d\.\d\d/(\d.*)\.tar\.gz

## boinc 7.10.2+dfsg

=== debian/changelog ===
boinc (7.10.2+dfsg-2~bpo9+1) stretch-backports; urgency=medium

  * Rebuild for stretch-backports.
  * Use old webview gtk2 package, switch build deps

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 06 Jun 2018 00:12:34 +0200

boinc (7.10.2+dfsg-2) unstable; urgency=medium

  * Upload to unstable
  * Remove disable-webview useless flag
  * Move repo to salsa.d.o

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 06 Jun 2018 00:03:33 +0200

boinc (7.10.2+dfsg-1exp1) experimental; urgency=medium

  * Upload to experimental again, with the boinc-server-* packages.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 04 May 2018 10:15:35 +0200

boinc (7.10.2+dfsg-1) unstable; urgency=medium

  * New upstream release, upload to unstable

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 04 May 2018 09:55:26 +0200

boinc (7.10.1+dfsg-2exp1) experimental; urgency=medium

  * Upload to experimental again, with the boinc-server-* packages.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 01 May 2018 22:08:38 +0200

boinc (7.10.1+dfsg-2) unstable; urgency=high

  * Upload to unstable
  * Re-enable update-boinc-applinks, needed to install e.g. seti
  * Update boinc directory (ln boinc-client to boinc) (Closes: #897130)

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 01 May 2018 09:58:22 +0200

boinc (7.10.1+dfsg-1exp1) experimental; urgency=medium

  * Upload to experimental again, with the boinc-server-* packages.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 26 Apr 2018 14:47:12 +0200

boinc (7.10.1+dfsg-1) unstable; urgency=medium

  * Upload to unstable
  * New upstream version 7.10.1+dfsg
  * Bump std-version to 4.1.4, no changes required.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 26 Apr 2018 13:21:55 +0200

boinc (7.9.3+dfsg-5exp1) experimental; urgency=medium

  * Upload to experimental again, with the boinc-server-* packages.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 20 Apr 2018 12:09:14 +0200

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Uploaders: Steffen Moeller <moeller@debian.org>,
            Guo Yixuan (郭溢譞) <culu.gyx@gmail.com>,
            Gianfranco Costamagna <locutusofborg@debian.org>
-Standards-Version: 4.1.3
+Standards-Version: 4.1.4
 Build-Depends: debhelper (>= 9.20160114),
                default-libmysqlclient-dev,
                dh-autoreconf,
@@ -18,7 +18,7 @@
                gettext,
                libcurl4-openssl-dev,
                libfcgi-dev,
-               libgtk-3-dev,
+               libgtk2.0-dev,
                libice-dev,
                libjpeg-dev,
                libnotify-dev (>= 0.7.0),
@@ -26,7 +26,7 @@
                libsqlite3-dev,
                libssl-dev,
                libtool,
-               libwxgtk-webview3.0-gtk3-dev (>= 3.0.4+dfsg-3~),
+               libwxgtk-webview3.0-dev,
                libxcb-util0-dev,
                libxi-dev,
                libxml2-utils,
@@ -39,8 +39,8 @@
                python-setuptools,
                zlib1g-dev
 Homepage: https://boinc.berkeley.edu/
-Vcs-Git: https://anonscm.debian.org/git/pkg-boinc/boinc.git
-Vcs-Browser: https://anonscm.debian.org/cgit/pkg-boinc/boinc.git
+Vcs-Browser: https://salsa.debian.org/pkg-boinc-team/boinc
+Vcs-Git: https://salsa.debian.org/pkg-boinc-team/boinc.git
 
 Package: boinc
 Architecture: all

=== debian/rules ===
--- 
+++ 
@@ -192,7 +192,6 @@
   --enable-unicode \
   --enable-shared \
   --enable-dynamic-client-linkage \
-  --disable-webview \
   --with-ssl \
   --with-x \
   CFLAGS="$(CFLAGS_boinc-client)"
@@ -233,3 +232,5 @@
 #	  debian/conffiles/cc_config.xml \
 #	  debian/conffiles/global_prefs_override.xml
 #	touch $@
+LDFLAGS+=$(CFLAGS)
+

## boinc 7.12.0+dfsg

=== debian/changelog ===
boinc (7.12.0+dfsg-1) unstable; urgency=medium

  * Update again watch file
  * New upstream version 7.12.0+dfsg
  * Upload to unstable
  * Update copyright file
  * Refresh patches
  * drop upstream patches:
    - 0e16d026ce50fdadee8d3629bbdd95b5a5298416
    - disable-pre-release-warning

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 04 Jul 2018 10:28:00 +0200

boinc (7.10.3+dfsg-1exp1) experimental; urgency=medium

  * Upload to experimental again, with the boinc-server-* packages.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 20 Jun 2018 14:45:13 +0200

boinc (7.10.3+dfsg-1) unstable; urgency=medium

  * New upstream version 7.10.3+dfsg
  * Fix watch file
  * Upload to unstable
  * Add patch to remove idle detection code
  * Bump std-version to 4.1.4.1, no changes required

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 20 Jun 2018 14:41:51 +0200

boinc (7.10.2+dfsg-2exp1) experimental; urgency=medium

  * Upload to experimental again, with the boinc-server-* packages.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 06 Jun 2018 00:04:50 +0200

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Uploaders: Steffen Moeller <moeller@debian.org>,
            Guo Yixuan (郭溢譞) <culu.gyx@gmail.com>,
            Gianfranco Costamagna <locutusofborg@debian.org>
-Standards-Version: 4.1.4
+Standards-Version: 4.1.4.1
 Build-Depends: debhelper (>= 9.20160114),
                default-libmysqlclient-dev,
                dh-autoreconf,
@@ -18,7 +18,7 @@
                gettext,
                libcurl4-openssl-dev,
                libfcgi-dev,
-               libgtk2.0-dev,
+               libgtk-3-dev,
                libice-dev,
                libjpeg-dev,
                libnotify-dev (>= 0.7.0),
@@ -26,7 +26,7 @@
                libsqlite3-dev,
                libssl-dev,
                libtool,
-               libwxgtk-webview3.0-dev,
+               libwxgtk-webview3.0-gtk3-dev (>= 3.0.4+dfsg-3~),
                libxcb-util0-dev,
                libxi-dev,
                libxml2-utils,
